# PFotos 1.3 Copyright(C) 2017-2019 Cora Kohlmeier, Frank Hamberg
proc lang {} {
global langstring langlist pfotoshome
set langlist "de en" 
package require msgcat
::msgcat::mclocale de
::msgcat::mcload [file join $pfotoshome/info]

# Top Buttons
set langstring(extract,de) "Exifs extrahieren"
set langstring(extract,en) "Extract Exifs"
set langstring(open,de) "Datendatei [::msgcat::mc oeffnen]"
set langstring(open,en) "Open data file"
set langstring(export,de) "in TXT exportieren"
set langstring(export,en) "export to TXT"
set langstring(setcsv,de) "CSV-Datei [::msgcat::mc waehlen]"
set langstring(setcsv,en) "Set CSV filename"
set langstring(selfile,de) "Datei aus[::msgcat::mc waehlen]"
set langstring(selfile,en) "Select Data file"
set langstring(oldfile,de) "Datendatei umbenennen"
set langstring(oldfile,en) "Rename Data file"
set langstring(newfile,de) "Neuer Name"
set langstring(newfile,en) "New name"
set langstring(seldir,de) "Verzeichnis [::msgcat::mc waehlen]"
set langstring(seldir,en) "Select Directory"
set langstring(camslenses,de) "Kameras & Objektive"
set langstring(camslenses,en) "Cams & Lenses"
set langstring(imagedata,de) "Bildinformationen"
set langstring(imagedata,en) "Image Data"
set langstring(preferences,de) "Einstellungen"
set langstring(preferences,en) "Preferences"
set langstring(histogram,de) "Histogramm"
set langstring(histogram,en) "Histogram"
set langstring(histsize,de) "[::msgcat::mc Hoehe] des Zeithistogramms"
set langstring(histsize,en) "Height of Time Histogram"
set langstring(license,de) "Lizenz"
set langstring(license,en) "License"
set langstring(hidetime,de) "[::msgcat::mc Ungueltige] Zeitstempel aus[::msgcat::mc schliessen]" 
set langstring(hidetime,en) "Exclude invalid timestamps" 
set langstring(deftypes,de) "Dateitypenfilter"
set langstring(deftypes,en) "File type filter"
set langstring(deffiles,de) "Dateinamenfilter"
set langstring(deffiles,en) "File name filter"
set langstring(defdirs,de) "Verzeichnisfilter"
set langstring(defdirs,en) "Directory filter"
set langstring(excludedirlist,de) "Verzeichnisfilter anwenden"
set langstring(excludedirlist,en) "Activate directory filter"
set langstring(excludefilelist,de) "Dateinamenfilter anwenden"
set langstring(excludefilelist,en) "Activate file name filter"
set langstring(excludetypes,de) "Dateitypenfilter anwenden"
set langstring(excludetypes,en) "Activate file type filter"

set langstring(help,de) "Hilfe"
set langstring(help,en) "Help"
set langstring(about,de) [::msgcat::mc "Ueber"]
set langstring(about,en) "About"
set langstring(exit,de) "Beenden"
set langstring(exit,en) "Exit"
set langstring(saveselection,de) "Auswahl speichern"
set langstring(saveselection,en) "Save Selection"
set langstring(saveexif,de) "Exif Ausgabe speichern"
set langstring(saveexif,en) "Save Exif Output"
set langstring(gotopath,de) "Bildordner [::msgcat::mc oeffnen]"
set langstring(gotopath,en) "Open Image Directory"

set langstring(browserlimit,de) "Maximale Bildzahl in Kachelanzeige"
set langstring(browserlimit,en) "Maximum images to show in tiled selection"
set langstring(numthumbcolumns,de) "Anzahl Spalten in Kachelanzeige"
set langstring(numthumbcolumns,en) "Number of columns for tiled selection"
# Top Information
set langstring(file,de) "Dateiname"
set langstring(file,en) "File"
set langstring(filem,de) "Datei"
set langstring(filem,en) "File"
set langstring(number,de) "Anzahl Bilder"
set langstring(number,en) "Number of Images"
set langstring(period,de) "Zeitraum"
set langstring(period,en) "Time Period"
set langstring(start,de) "Anfang"
set langstring(start,en) "Start"
set langstring(end,de) "Ende"
set langstring(end,en) "End"
set langstring(show,de) "Auswahl anzeigen"
set langstring(show,en) "Show Selection"
set langstring(close,de) "Auswahl [::msgcat::mc schliessen]"
set langstring(close,en) "Close Selection"
set langstring(tryopen,de) "Bild [::msgcat::mc oeffnen]"
set langstring(tryopen,en) "Open Image"
set langstring(log,de) "Protokoll"
set langstring(log,en) "Log"
set langstring(search,de) "Suchen"
set langstring(search,en) "Search"
set langstring(markall,de) "Markieren"
set langstring(markall,en) "Mark All"


# Misc
set langstring(all,de) "alle"
set langstring(all,en) "all"
set langstring(none,de) "keine"
set langstring(none,en) "none"
set langstring(manual,de) "manuell"
set langstring(manual,en) "manual"
set langstring(unknown,de) "unbekannt"
set langstring(unknown,en) "unknown"
set langstring(of,de) "von"
set langstring(of,en) "of"
set langstring(yes,de) "ja"
set langstring(yes,en) "yes"
set langstring(no,de) "nein"
set langstring(no,en) "no"

set langstring(to,de) "bis"
set langstring(to,en) "till"
set langstring(over,de) "[::msgcat::mc ueber]"
set langstring(over,en) "above"


set langstring(path,de) "Pfad"
set langstring(path,en) "Path"
set langstring(camera,de) "Kamera"
set langstring(camera,en) "Camera"
set langstring(lens,de) "Objektiv"
set langstring(lens,en) "Lens"
set langstring(datetime,de) "Datum & Zeit"
set langstring(datetime,en) "Date & Time"

# Cams & Lenses
set langstring(cameras,de) "Kameras"
set langstring(cameras,en) "Cameras"
set langstring(lenses,de) "Objektive"
set langstring(lenses,en) "Lenses"
set langstring(flash,de) "Blitz"
set langstring(flash,en) "Flash"
set langstring(type,de) "Dateityp"
set langstring(type,en) "File type"

# Image Data
set langstring(focallength35,de) "Brennweite (35 mm)"
set langstring(focallength35,en) "Focal Length (35 mm)"
set langstring(focallength,de) "Brennweite"
set langstring(focallength,en) "Focal Length"
set langstring(aperture,de) "Blende"
set langstring(aperture,en) "Aperture"
set langstring(iso,de) "ISO"
set langstring(iso,en) "ISO"
set langstring(exposure,de) "Belichtungszeit"
set langstring(exposure,en) "Exposure Time"

#Preferences
set langstring(selectexifdir,de) "Exifdatenverzeichnis [::msgcat::mc waehlen]"
set langstring(selectexifdir,en) "Select Exif Data Directory"
set langstring(selectimageviewer,de) "Bildbetrachter [::msgcat::mc waehlen]"
set langstring(selectimageviewer,en) "Select Image Viewer"
set langstring(setsystemimageviewer,de) "Setze Bildbetrachter des Systems"
set langstring(setsystemimageviewer,en) "Set System Default Viewer"
set langstring(warnenv,de) "Bitte Einstellungen [::msgcat::mc fuer] Exifdaten-\nverzeichnis und Bildbetrachter [::msgcat::mc pruefen]"
set langstring(warnenv,en) "Please check settings for\nData Directory and Viewer"
set langstring(backtodefaults,de) "[::msgcat::mc Zurueck] zu PFotos Voreinstellungen"
set langstring(backtodefaults,en) "Back to PFotos Defaults"
set langstring(cancel,de) "Abbruch"
set langstring(cancel,en) "Cancel"
set langstring(apply,de) "[::msgcat::mc Uebernehmen]"
set langstring(apply,en) "Apply"
set langstring(language,de) "Sprache aus[::msgcat::mc waehlen]"
set langstring(language,en) "Select Language"


set langstring(window,de) "Fenster"
set langstring(window,en) "Window"
set langstring(bins,de) "Intervalle"
set langstring(bins,en) "Bins"



set langstring(background,de) "Farbschema"
set langstring(background,en) "Color Scheme"
set langstring(column,de) "Balken[::msgcat::mc laenge]"
set langstring(column,en) "Column Width"
set langstring(font,de) "Zeichen[::msgcat::mc groesse]"
set langstring(font,en) "Font Size"


set langstring(white,de) "Weiss"
set langstring(white,en) "White"
set langstring(lightgrey,de) "Hellgrau"
set langstring(lightgrey,en) "Light Grey"
set langstring(grey,de) "Grau"
set langstring(grey,en) "Grey"
set langstring(darkgrey,de) "Dunkelgrau"
set langstring(darkgrey,en) "Dark Grey"
set langstring(black,de) "Schwarz"
set langstring(black,en) "Black"
set langstring(darkgreen,de) "[::msgcat::mc Dunkelgruen]"
set langstring(darkgreen,en) "Dark Green"
set langstring(darkblue,de) "Dunkelblau"
set langstring(darkblue,en) "Dark Blue"
set langstring(custom,de) "Nutzerauswahl"
set langstring(custom,en) "Custom"
set langstring(examplestring,de) "Vordergrundfarbe auf Hintergrundfarbe"
set langstring(examplestring,en) "Foreground Color on Background Color"
set langstring(select_fg,en) "Set Foreground Color" 
set langstring(select_fg,de) "Vordergrundfarbe [::msgcat::mc waehlen]"
set langstring(select_bg,en) "Set Backround Color" 
set langstring(select_bg,de) "Hintergrundfarbe [::msgcat::mc waehlen]"
 
set langstring(full,de) "Ganze Stufen"
set langstring(full,en) "Full Values"
set langstring(half,de) "Halbe Stufen"
set langstring(half,en) "Half Values"
set langstring(third,de) "Drittel-Stufen"
set langstring(third,en) "Third Values"

set langstring(veryshort,de) "Sehr kurz"
set langstring(veryshort,en) "Very Short"
set langstring(short,de) "Kurz"
set langstring(short,en) "Short"
set langstring(long,de) "Lang"
set langstring(long,en) "Long"
set langstring(normal,de) "Normal"
set langstring(normal,en) "Normal"

# Warnungen und Fehler
set langstring(emptylist_msg,de) "Die Auswahlliste ist leer"
set langstring(emptylist_msg,en) "The selection list is empty"
set langstring(emptylist_detail,de) "Bitte treffen Sie ein nicht leere Auswahl"
set langstring(emptylist_detail,en) "Please select any combination with a not empty list"
set langstring(emptylist_title,de) "Fehler: Leere Auswahl"
set langstring(emptylist_title,en) "Error: Empty Selection"

set langstring(entries,de) "[::msgcat::mc Eintraege]"
set langstring(entries,en) "entries"
set langstring(toolonglist_msg,de) "Die Auswahlliste hat"
set langstring(toolonglist_msg,en) "The selection list shows"
set langstring(toolonglist_detail,de) "Bitte treffen Sie eine Auswahl mit weniger [::msgcat::mc Eintraege]n\n10000 ist das absolute Limit von Tcl/Tk"
set langstring(toolonglist_detail,en) "Please select any combination with shorter list\n10000 is the absolute limit of Tcl/Tk"
set langstring(toolonglist_title,de) "Fehler: Zu lange Auswahlliste"
set langstring(toolonglist_title,en) "Error: Too long selection list"

set langstring(longlist_msg,de) "Die Auswahlliste hat"
set langstring(longlist_msg,en) "The selection list shows"
set langstring(longlist_detail,de) "Dies kann die Navigation verlangsamen\nWeniger als 1000 [::msgcat::mc Eintraege] vermeiden Seiteneffekte\nTrotzdem weitermachen?"
set langstring(longlist_detail,en) "This may slow down the navgigation\nLess than 1000 entries avoids side effects\nContinue anyway?"
set langstring(longlist_title,de) "Warnung: Sehr lange Auswahlliste"
set langstring(longlist_title,en) "Warning: very long selection list"

set langstring(imgnotfound_msg,de) "Das Originalbild kann nicht gefunden werden"
set langstring(imgnotfound_msg,en) "Can't find the original picture"
set langstring(imgnotfound_detail,de) "Bitte sicherstellen, dass das originale Speichermedium (Wechselmedium oder Netzwerkressource) [::msgcat::mc verfuegbar] ist. "
set langstring(imgnotfound_detail,en) "Please make sure that the storage location (external drive or network drive) is available"
set langstring(imgnotfound_title,de) "Fehler: Datei nicht gefunden"
set langstring(imgnotfound_title,en) "Error: File not found"

set langstring(exifsaved,de) "Exif-Info wurde gespeichert in: "
set langstring(exifsaved,en) "Exif-Info has been written to: "
set langstring(exifsaved_title,de) "Exif-Info"
set langstring(exifsaved_title,en) "Exif-Info"

}   


